aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openexr/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-12-09 19:45:35 +0100
committerSören Tempel <soeren+git@soeren-tempel.net>2015-12-09 19:45:35 +0100
commitf5f5b6646c9c132c72d18f8ee02605949e6e179a (patch)
treeb79082bc3744ce99c0cc2f6c9f0a8717ff5f6626 /testing/openexr/APKBUILD
parent9258be3c9d477a809de863f4e301d93176528f9f (diff)
downloadaports-f5f5b6646c9c132c72d18f8ee02605949e6e179a.tar.gz
aports-f5f5b6646c9c132c72d18f8ee02605949e6e179a.tar.bz2
aports-f5f5b6646c9c132c72d18f8ee02605949e6e179a.tar.xz
testing/openexr: upgrade to 2.2.0
Diffstat (limited to 'testing/openexr/APKBUILD')
-rw-r--r--testing/openexr/APKBUILD41
1 files changed, 20 insertions, 21 deletions
diff --git a/testing/openexr/APKBUILD b/testing/openexr/APKBUILD
index e55cb18ea1..4181323ca2 100644
--- a/testing/openexr/APKBUILD
+++ b/testing/openexr/APKBUILD
@@ -1,45 +1,44 @@
-# Contributor:
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer:
pkgname=openexr
-pkgver=2.1.0
+pkgver=2.2.0
pkgrel=0
pkgdesc="An high dynamic-range image file format library"
url="http://www.openexr.com/"
arch="all"
license="BSD"
-depends=
-depends_dev="ilmbase-dev zlib-dev"
-makedepends="$depends_dev"
+depends=""
+depends_dev=""
+makedepends="ilmbase-dev zlib-dev"
install=""
subpackages="$pkgname-dev $pkgname-doc"
source="http://download.savannah.nongnu.org/releases/openexr/${pkgname}-${pkgver}.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- local i
cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ update_config_sub || return 1
}
build() {
cd "$_builddir"
- ./configure --prefix=/usr \
- -mandir=/usr/share/man \
- || return 1
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
make || return 1
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
- install -Dm644 LICENSE \
- "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+ make DESTDIR="$pkgdir" \
+ -C "$_builddir" install || return 1
}
-md5sums="33735d37d2ee01c6d8fbd0df94fb8b43 openexr-2.1.0.tar.gz"
-sha256sums="54486b454073c1dcb5ae9892cf0f730ffefe62f38176325281505093fd218a14 openexr-2.1.0.tar.gz"
-sha512sums="d69924331c3392b8063229391414bb90f16ce317c76cfffe5fe0fcbb25e576f6ace8320b51c2a9987fee912cedd8e69116d4b49ba716b4a5f011131a81815403 openexr-2.1.0.tar.gz"
+md5sums="b64e931c82aa3790329c21418373db4e openexr-2.2.0.tar.gz"
+sha256sums="36a012f6c43213f840ce29a8b182700f6cf6b214bea0d5735594136b44914231 openexr-2.2.0.tar.gz"
+sha512sums="017abbeeb6b814508180721bc8e8940094965c4c55b135a198c6bcb109a04bf7f72e4aee81ee72cb2185fe818a41d892b383e8d2d59f40c673198948cb79279a openexr-2.2.0.tar.gz"